Package org.apache.qpid.proton.codec.messaging

# Class FastPathAmqpValueType

java.lang.Object
org.apache.qpid.proton.codec.messaging.FastPathAmqpValueType

All Implemented Interfaces:
  `AMQPType<AmqpValue>`, `FastPathDescribedTypeConstructor<AmqpValue>`, `TypeConstructor<AmqpValue>`

public class FastPathAmqpValueType extends Object implements AMQPType<AmqpValue>, FastPathDescribedTypeConstructor<AmqpValue>

## Constructor Summary

Constructors
Constructor
Description
`FastPathAmqpValueType(EncoderImpl encoder)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`encodesJavaPrimitive()`
`Collection<? extends TypeEncoding<AmqpValue>>`
`getAllEncodings()`
`TypeEncoding<AmqpValue>`
`getCanonicalEncoding()`
`DecoderImpl`
`getDecoder()`
`EncoderImpl`
`getEncoder()`
`TypeEncoding<AmqpValue>`
`getEncoding(AmqpValue value)`
`Class<AmqpValue>`
`getTypeClass()`
`AmqpValue`
`readValue()`
`static void`
`register(Decoder decoder, EncoderImpl encoder)`
`void`
`skipValue()`
`void`
`write(AmqpValue value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FastPathAmqpValueType

public FastPathAmqpValueType(EncoderImpl encoder)

## Method Details

### getEncoder

public EncoderImpl getEncoder()

### getDecoder

public DecoderImpl getDecoder()

### encodesJavaPrimitive

public boolean encodesJavaPrimitive()

Specified by:
  `encodesJavaPrimitive` in interface `TypeConstructor<AmqpValue>`

### getTypeClass

public Class<AmqpValue> getTypeClass()

Specified by:
  `getTypeClass` in interface `AMQPType<AmqpValue>`
Specified by:
  `getTypeClass` in interface `TypeConstructor<AmqpValue>`

### getEncoding

public TypeEncoding<AmqpValue> getEncoding(AmqpValue value)

Specified by:
  `getEncoding` in interface `AMQPType<AmqpValue>`

### getCanonicalEncoding

public TypeEncoding<AmqpValue> getCanonicalEncoding()

Specified by:
  `getCanonicalEncoding` in interface `AMQPType<AmqpValue>`

### getAllEncodings

public Collection<? extends TypeEncoding<AmqpValue>> getAllEncodings()

Specified by:
  `getAllEncodings` in interface `AMQPType<AmqpValue>`

### readValue

public AmqpValue readValue()

Specified by:
  `readValue` in interface `TypeConstructor<AmqpValue>`

### skipValue

public void skipValue()

Specified by:
  `skipValue` in interface `TypeConstructor<AmqpValue>`

### write

public void write(AmqpValue value)

Specified by:
  `write` in interface `AMQPType<AmqpValue>`

### register

public static void register(Decoder decoder, EncoderImpl encoder)